--------------------------------------------------------------------------------
-- Copyright (c) 1995-2007 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 9.2.04i
--  \   \         Application : sch2vhdl
--  /   /         Filename : VGA_system.vhf
-- /___/   /\     Timestamp : 04/01/2009 11:10:07
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: C:\Xilinx92i\bin\nt\sch2vhdl.exe -intstyle ise -family spartan3e -flat -suppress -w D:/XiLinx_Projekter/BASYS_PROJECTS/PONG_Projekter/Pong5/VGA_system.sch VGA_system.vhf
--Design Name: VGA_system
--Device: spartan3e
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesis and simulted, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity VGA_system is
   port ( Addr     : in    std_logic_vector (15 downto 0); 
          Clk      : in    std_logic; 
          Data_in  : in    std_logic_vector (3 downto 0); 
          Reset    : in    std_logic; 
          WE       : in    std_logic; 
          Data_out : out   std_logic_vector (3 downto 0); 
          VGA_Plug : out   std_logic_vector (9 downto 0));
end VGA_system;

architecture BEHAVIORAL of VGA_system is
   signal Tadr     : std_logic_vector (15 downto 0);
   signal XLXN_3   : std_logic;
   signal XLXN_52  : std_logic_vector (3 downto 0);
   signal XLXN_55  : std_logic;
   signal XLXN_56  : std_logic;
   component VGA_Driver
      port ( CLK    : in    std_logic; 
             RESET  : in    std_logic; 
             HSYNCH : out   std_logic; 
             VSYNCH : out   std_logic; 
             HBLANK : out   std_logic; 
             Adr    : out   std_logic_vector (15 downto 0));
   end component;
   
   component VGA_ColorMap
      port ( CLK       : in    std_logic; 
             HBLANK    : in    std_logic; 
             VGA_plug  : out   std_logic_vector (9 downto 0); 
             COLOR     : in    std_logic_vector (3 downto 0); 
             VSYNCH_IN : in    std_logic; 
             HSYNCH_IN : in    std_logic);
   end component;
   
   component videoram
      port ( addra : in    std_logic_vector (15 downto 0); 
             dinb  : in    std_logic_vector (3 downto 0); 
             web   : in    std_logic; 
             clka  : in    std_logic; 
             clkb  : in    std_logic; 
             douta : out   std_logic_vector (3 downto 0); 
             doutb : out   std_logic_vector (3 downto 0); 
             addrb : in    std_logic_vector (15 downto 0));
   end component;
   
begin
   U5 : VGA_Driver
      port map (CLK=>Clk,
                RESET=>Reset,
                Adr(15 downto 0)=>Tadr(15 downto 0),
                HBLANK=>XLXN_3,
                HSYNCH=>XLXN_55,
                VSYNCH=>XLXN_56);
   
   U6 : VGA_ColorMap
      port map (CLK=>Clk,
                COLOR(3 downto 0)=>XLXN_52(3 downto 0),
                HBLANK=>XLXN_3,
                HSYNCH_IN=>XLXN_55,
                VSYNCH_IN=>XLXN_56,
                VGA_plug(9 downto 0)=>VGA_Plug(9 downto 0));
   
   XLXI_1 : videoram
      port map (addra(15 downto 0)=>Tadr(15 downto 0),
                addrb(15 downto 0)=>Addr(15 downto 0),
                clka=>Clk,
                clkb=>Clk,
                dinb(3 downto 0)=>Data_in(3 downto 0),
                web=>WE,
                douta(3 downto 0)=>XLXN_52(3 downto 0),
                doutb(3 downto 0)=>Data_out(3 downto 0));
   
end BEHAVIORAL;


